summaryrefslogtreecommitdiffstats
path: root/system/cdcopy/cdcopy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/cdcopy/cdcopy.SlackBuild')
-rw-r--r--system/cdcopy/cdcopy.SlackBuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/system/cdcopy/cdcopy.SlackBuild b/system/cdcopy/cdcopy.SlackBuild
new file mode 100644
index 0000000000..24e7f96434
--- /dev/null
+++ b/system/cdcopy/cdcopy.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for CD-copying shell (cdcopy)
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Modified by the SlackBuilds.org project
+
+# Exit on most errors
+set -e
+
+PRGNAM=cdcopy
+VERSION=0.0.7
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xzvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+## Install the program
+install -D -m 0755 cdcopy $PKG/usr/bin/cdcopy
+
+# Add the sample configuration file
+# Note: some versions of 'cdrecord' support ATAPI: or ATA: directives too
+install -D -m 0644 cdcopy.conf $PKG/etc/cdcopy.conf.new
+
+# Compress and install the manpage
+mkdir -p $PKG/usr/man/man1
+gzip -9 cdcopy.1 > $PKG/usr/man/man1/cdcopy.1.gz
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z]* debian/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Also, include the SlackBuild script in the documentation directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM
+ rm -rf $PKG
+fi
+